Subject: bug#31848: 26.1; M-x server-start crashes if extraneous server file exists

From: Tim Harper <[email-masked]>
Date: Thu, 21 Jun 2018 16:24:50 -0600

It is probably an OS X only crash.

Emacs won't write the file unless if server-use-tcp is enabled. Customize
it, enable server-use-tcp (set to true), save for future sessions. Restart
emacs. Launch server. If the folder doesn't exist, Emacs will create it and
assign 700 perms.

I've reproduced with a vanilla configuration of Emacs to rule out the
possibility it is a conflict with some other extension I've installed.

Tim

On Sun, Jun 17, 2018 at 5:00 AM Alan Third <[email-masked]> wrote:

> On Fri, Jun 15, 2018 at 11:15:05AM -0600, Tim Harper wrote:
> > Emacs on OS X crashes when stale server auth file is present. To
> reproduce:
> >
> > 1) Start Emacs 26.1
> > 2) Run server-start
> > 3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
> > 4) Quit Emacs
> > 5) Rename `server-2` file to `server`
> > 6) Relaunch Emacs
> > 7) Run server-start
> > 8) Observe crash
>
> I’m probably being daft, but I can’t find any ‘server’ file when I’m
> running the emacs server.
>
> The directory listed in server-auth-dir doesn’t even exist.
> --
> Alan Third
>